## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 74;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Summary: The lrz and lsz modem communications programs
Name: lrzsz
Version: 0.12.20
Release: %autorelease
License: GPL-2.0-or-later AND GPL-2.0-only
Source: http://www.ohse.de/uwe/releases/%{name}-%{version}.tar.gz
Patch1: lrzsz-0.12.20-glibc21.patch
Patch2: lrzsz-0.12.20.patch
Patch3: lrzsz-0.12.20-man.patch
Patch4: lrzsz-0.12.20-aarch64.patch
Patch5: lrzsz-configure-c99.patch
Patch6: lrzsz-c99.patch
Patch7: lrzsz-socklen.patch
Patch8: lrzsz-gcc15.patch
Url: http://www.ohse.de/uwe/software/lrzsz.html
BuildRequires: gcc gettext
BuildRequires: make

%description
Lrzsz (consisting of lrz and lsz) is a cosmetically modified
zmodem/ymodem/xmodem package built from the public-domain version of
the rzsz package. Lrzsz was created to provide a working GNU
copylefted Zmodem solution for Linux systems.

%prep
%autosetup -p1

rm -f po/*.gmo

%build
%configure --disable-pubdir \
           --enable-syslog \
           --program-transform-name=s/l//

%make_build

%install
%make_install prefix=%{buildroot}/usr \
  datadir=%{buildroot}/usr/share

for m in rb rx; do ln -s rz.1 %{buildroot}%{_mandir}/man1/$m.1; done
for m in sb sx; do ln -s sz.1 %{buildroot}%{_mandir}/man1/$m.1; done

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%{_bindir}/*
%{_mandir}/*/*

%changelog
## START: Generated by rpmautospec
* Tue Mar 04 2025 Tomas Korbar <tkorbar@redhat.com> - 0.12.20-74
- Add COPYING file as license

* Mon Mar 03 2025 Tomas Korbar <tkorbar@redhat.com> - 0.12.20-73
- Fix FTBFS

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.20-72
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.20-71
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 30 2024 Software Management Team <packaging-team-maint@redhat.com> - 0.12.20-70
- Eliminate use of obsolete %%patchN syntax (#2283636)

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.20-69
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.20-68
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Dec 18 2023 Florian Weimer <fweimer@redhat.com> - 0.12.20-67
- Fix socket length incompatibility (C compatibility issue)

* Tue Oct 31 2023 Tomas Korbar <tkorbar@redhat.com> - 0.12.20-66
- Add additional SPDX licenses found by scancode tool

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.20-65
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Mar 12 2023 Tomas Korbar <tkorbar@redhat.com> - 0.12.20-64
- Change the License tag to the SPDX format

* Fri Jan 27 2023 Florian Weimer <fweimer@redhat.com> - 0.12.20-63
- Fix C99 compatibility issues (#2164996)

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.20-62
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.20-61
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.20-60
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.20-59
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.20-58
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jan 05 2021 Tom Stellard <tstellar@redhat.com> - 0.12.20-57
- Add BuildRequires: make

* Tue Aug 18 2020 Tomas Korbar <tkorbar@redhat.com> - 0.12.20-56
- Use make macros

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.20-55
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.20-54
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.20-53
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.20-52
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.20-51
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.12.20-50
- Remove obsolete Group tag

* Wed Sep 12 2018 Miroslav Lichvar <mlichvar@redhat.com> - 0.12.20-49
- 0.12.20-46

* Wed Sep 12 2018 Miroslav Lichvar <mlichvar@redhat.com> - 0.12.20-48
- add man page symlinks for sb, sx, rb, rx programs (#1611501)

* Fri Jul 20 2018 Miroslav Lichvar <mlichvar@redhat.com> - 0.12.20-47
- 0.12.20-45

* Fri Jul 20 2018 Miroslav Lichvar <mlichvar@redhat.com> - 0.12.20-46
- add gcc to build requirements

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.20-45
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.20-44
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.20-43
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.20-42
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.20-41
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Dennis Gilmore <dennis@ausil.us> - 0.12.20-40
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> - 0.12.20-39
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Feb 21 2015 Till Maas <opensource@till.name> - 0.12.20-38
- Rebuilt for Fedora 23 Change

* Sun Aug 17 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 0.12.20-37
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 0.12.20-36
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Dennis Gilmore <dennis@ausil.us> - 0.12.20-35
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Mar 26 2013 Miroslav Lichvar <mlichvar@redhat.com> - 0.12.20-34
- 0.12.20-33

* Tue Mar 26 2013 Miroslav Lichvar <mlichvar@redhat.com> - 0.12.20-33
- use recent config.sub and config.guess for aarch64 (#926093)

* Tue Mar 26 2013 Miroslav Lichvar <mlichvar@redhat.com> - 0.12.20-32
- remove obsolete macros

* Thu Feb 14 2013 Dennis Gilmore <dennis@ausil.us> - 0.12.20-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Dennis Gilmore <dennis@ausil.us> - 0.12.20-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Dennis Gilmore <dennis@ausil.us> - 0.12.20-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Mar 07 2011 Miroslav Lichvar <mlichvar@redhat.com> - 0.12.20-28
- fix typos in sz man page (#668900)

* Tue Feb 08 2011 Dennis Gilmore <dennis@ausil.us> - 0.12.20-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 29 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.20-26
- dist-git conversion

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> - 0.12.20-25
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Sat Jul 25 2009 Jesse Keating <jkeating@fedoraproject.org> - 0.12.20-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Jesse Keating <jkeating@fedoraproject.org> - 0.12.20-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 11 2009 Miroslav Lichvar <mlichvar@fedoraproject.org> - 0.12.20-22
- rebuild message catalogs (#485024) - remove dot from summary

* Thu Aug 07 2008 Tom Callaway <spot@fedoraproject.org> - 0.12.20-21
- fix license tag

* Fri Feb 15 2008 Than Ngo <than@fedoraproject.org> - 0.12.20-20
- rebuilt against GCC 3.4

* Mon Oct 15 2007 Bill Nottingham <notting@fedoraproject.org> - 0.12.20-19
- makefile update to properly grab makefile.common

* Wed Jul 12 2006 Jesse Keating <jkeating@fedoraproject.org> - 0.12.20-18
- bumped for rebuild

* Thu Jun 08 2006 Than Ngo <than@fedoraproject.org> - 0.12.20-17
- BR on gettext

* Sat Feb 11 2006 Jesse Keating <jkeating@fedoraproject.org> - 0.12.20-16
- bump for bug in double-long on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@fedoraproject.org> - 0.12.20-15
- bump for new gcc/glibc

* Fri Dec 09 2005 Jesse Keating <jkeating@fedoraproject.org> - 0.12.20-14
- gcc update bump

* Sat Mar 05 2005 Than Ngo <than@fedoraproject.org> - 0.12.20-13
- rebuilt

* Wed Feb 09 2005 Than Ngo <than@fedoraproject.org> - 0.12.20-12
- rebuilt

* Thu Sep 09 2004 cvsdist <cvsdist@fedoraproject.org> - 0.12.20-11
- auto-import changelog data from lrzsz-0.12.20-19.src.rpm Tue Jun 15 2004
  Elliot Lee <sopwith@redhat.com> - rebuilt

* Thu Sep 09 2004 cvsdist <cvsdist@fedoraproject.org> - 0.12.20-10
- auto-import changelog data from lrzsz-0.12.20-18.src.rpm Fri Feb 13 2004
  Elliot Lee <sopwith@redhat.com> - rebuilt

* Thu Sep 09 2004 cvsdist <cvsdist@fedoraproject.org> - 0.12.20-9
- auto-import changelog data from lrzsz-0.12.20-17.src.rpm Wed Jun 04 2003
  Elliot Lee <sopwith@redhat.com> - rebuilt

* Thu Sep 09 2004 cvsdist <cvsdist@fedoraproject.org> - 0.12.20-8
- auto-import changelog data from lrzsz-0.12.20-16.src.rpm Wed Jan 22 2003
  Tim Powers <timp@redhat.com> - rebuilt Fri Oct 11 2002 Than Ngo
  <than@redhat.com> 0.12.20-15 - Fixed a bug with 16 bit ZMODEM transfer,
  jordanc@censoft.com (bug #75473)

* Thu Sep 09 2004 cvsdist <cvsdist@fedoraproject.org> - 0.12.20-7
- auto-import changelog data from lrzsz-0.12.20-14.src.rpm Fri Jun 21 2002
  Tim Powers <timp@redhat.com> - automated rebuild

* Thu Sep 09 2004 cvsdist <cvsdist@fedoraproject.org> - 0.12.20-6
- auto-import changelog data from lrzsz-0.12.20-13.src.rpm Thu May 23 2002
  Tim Powers <timp@redhat.com> - automated rebuild

* Thu Sep 09 2004 cvsdist <cvsdist@fedoraproject.org> - 0.12.20-5
- auto-import changelog data from lrzsz-0.12.20-12.src.rpm Tue Feb 26 2002
  Than Ngo <than@redhat.com> 0.12.20-12 - rebuild Wed Jan 09 2002 Tim
  Powers <timp@redhat.com> - automated rebuild

* Thu Sep 09 2004 cvsdist <cvsdist@fedoraproject.org> - 0.12.20-4
- auto-import changelog data from lrzsz-0.12.20-10.src.rpm Fri Aug 10 2001
  Than Ngo <than@redhat.com> 0.12.20-10 - Copyright->License - use
  %%find_lang

* Thu Sep 09 2004 cvsdist <cvsdist@fedoraproject.org>
- auto-import changelog data from lrzsz-0.12.20-9.src.rpm Sun Jun 24 2001
  Elliot Lee <sopwith@redhat.com> - Bump release + rebuild.

* Thu Sep 09 2004 cvsdist <cvsdist@fedoraproject.org>
- auto-import lrzsz-0.12.20-8 from lrzsz-0.12.20-8.src.rpm

* Thu Sep 09 2004 cvsdist <cvsdist@fedoraproject.org>
- auto-import changelog data from lrzsz-0.12.20-7.src.rpm Wed Jul 12 2000
  Prospector <bugzilla@redhat.com> - automatic rebuild Sun Jun 18 2000 Than
  Ngo <than@redhat.de> - use RPM macros Sat May 27 2000 Ngo Than
  <than@redhat.de> - rebuild for 7.0 - cleanup specfile - add Url - put man
  pages to correct place Tue Mar 07 2000 Jeff Johnson <jbj@redhat.com> -
  rebuild for sparc baud rates > 38400. Sat Feb 05 2000 Preston Brown
  <pbrown@redhat.com> - rebuild to compress man pages, get new description
  Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> - auto rebuild in the
  new build environment (release 2) Mon Mar 08 1999 Preston Brown
  <pbrown@redhat.com> - upgraded to 0.12.20, i18n translations included.
  Wed Feb 24 1999 Preston Brown <pbrown@redhat.com> - Injected new
  description and group. Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
  - bumped spec number for initial rh 6.0 build Sun Aug 16 1998 Jeff
  Johnson <jbj@redhat.com> - build root Thu May 07 1998 Prospector System
  <bugs@redhat.com> - translations modified for de, fr, tr Tue Oct 21 1997
  Donnie Barnes <djb@redhat.com> - spec file cleanups Thu Jul 10 1997 Erik
  Troan <ewt@redhat.com> - built against glibc Wed Mar 05 1997
  msf@redhat.com <Michael Fulbright> - Upgraded to 0.12.14 and changed
  makefiles so gettext isnt built.
## END: Generated by rpmautospec
